Get NBA injury report
GET/v1/nba/injuries
Current injury designations across the league with player, status, body part, and expected return.
Code samples
# Get live scores across every league curl "https://api.sportapi.io/v1/nba/scores/live" \ -H "Authorization: Bearer $API_KEY" # Response { "games": [{ "game_id": "0022500412", "status": "in_progress", "period": 3, "clock": "07:42", "home": { "team": "BOS", "score": 78 }, "away": { "team": "LAL", "score": 71 }, "last_play": "J. Tatum makes 3-pt jumper from 25 ft" }] }
Query parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
team | string | No | Filter by team |
status | string | No | out | questionable | probable | day_to_day |
Response
{
"injuries": [
{
"player": "lebron-james",
"team": "LAL",
"status": "questionable",
"body_part": "ankle",
"reason": "left ankle soreness",
"updated_at": "2025-11-14T01:18:00Z"
}
]
}Error responses
| Status | Code | Description |
|---|---|---|
| 401 | unauthorized | Missing or invalid API key |
| 403 | tier_insufficient | Your plan tier doesn't include this resource |
| 429 | rate_limited | Exceeded rate limit; honor Retry-After |
| 500 | internal_error | Server error; retry with exponential backoff |